extends Node2D

const START=Vector2(7,2)
const CELL=Vector2(16,16)

onready var map_b=$Game/Bunnies/TileMapBeginner
onready var player=$Game/Bunnies/Player
onready var wgame=$Game

var map:TileMap=null
var moving=false
var direction=Vector2.ZERO

func _ready() -> void:
	randomize()

func _unhandled_input(event: InputEvent) -> void:
	var x=0
	var y=0
	if Input.is_action_just_pressed("ui_left"):
		x=-1
	elif Input.is_action_just_pressed("ui_right"):
		x=1
	elif Input.is_action_just_pressed("ui_up"):
		y=-1
	elif Input.is_action_just_pressed("ui_down"):
		y=1
		
	player.get_node("Sprite").play()
	if x!=0 || y!=0:
		if !moving:
			moving=true
			$MovePlayer.start()
			
		direction=Vector2(x,y)
	
func _start():
	moving=false
	player.get_node("Death").visible=false
	player.get_node("Sprite").visible=true
	var start=map_b.global_position
	direction=Vector2(0,0)
	player.global_position=start+(START*CELL)+(CELL/2.0)
	
func _on_Player_body_entered(body: Node) -> void:
	$MovePlayer.stop()

	var a=player.get_node("Death")
	a.visible=true
	a.play("default")
	yield(get_tree().create_timer(3), "timeout")
	a.visible=false
	_start()
	

func _on_MovePlayer_timeout() -> void:
	#move every second
	player.position+=(direction*CELL)
	$MovePlayer.start()
	
